---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgetfldmdf004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4BFE8, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4DF28, symBinAddr: 0xA0F0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4E310, symBinAddr: 0xA4D8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4F2B0, symBinAddr: 0xB478, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4F2B8, symBinAddr: 0xB480, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4BC78, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4BC7C, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4BC80, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4BDD0, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4BE88, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4BE8C, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4BE90, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4BE94, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4BE98, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4BEA0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4BEB8, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4BEC0, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4BEC8, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4BED0, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4BED8, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4BF1A, symBinAddr: 0x819A, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4BF20, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4BF28, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90EE, offset: 0x90EE, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xCE88, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x9181, offset: 0x9181, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xAF8, symSize: 0xA0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xAD0, symSize: 0x28 }
  - { offsetInCU: 0x9279, offset: 0x9279, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xA50, symSize: 0x80 }
  - { offsetInCU: 0x950D, offset: 0x950D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xB98, symSize: 0x20C }
  - { offsetInCU: 0x96C6, offset: 0x96C6, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xDA4, symSize: 0x28 }
  - { offsetInCU: 0x978F, offset: 0x978F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xDCC, symSize: 0xB0 }
  - { offsetInCU: 0x9886, offset: 0x9886, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xE7C, symSize: 0xD8 }
  - { offsetInCU: 0x99AB, offset: 0x99AB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xF54, symSize: 0x24 }
  - { offsetInCU: 0x9A36, offset: 0x9A36, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xF78, symSize: 0x168 }
  - { offsetInCU: 0x9C12, offset: 0x9C12, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x10E0, symSize: 0x104 }
  - { offsetInCU: 0x9D8F, offset: 0x9D8F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x11E4, symSize: 0x154 }
  - { offsetInCU: 0x9F73, offset: 0x9F73, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1338, symSize: 0xAC }
  - { offsetInCU: 0xA048, offset: 0xA048, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x13E4, symSize: 0x14 }
  - { offsetInCU: 0xA081, offset: 0xA081, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x13F8, symSize: 0x14 }
  - { offsetInCU: 0xA0BA, offset: 0xA0BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x140C, symSize: 0x14 }
  - { offsetInCU: 0xA237, offset: 0xA237, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1420, symSize: 0x1A8 }
  - { offsetInCU: 0xA54B, offset: 0xA54B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x15C8, symSize: 0x9C }
  - { offsetInCU: 0xA608, offset: 0xA608, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1664, symSize: 0x690 }
  - { offsetInCU: 0xB19A, offset: 0xB19A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9104, symBinAddr: 0x27A4, symSize: 0x30 }
  - { offsetInCU: 0xB226, offset: 0xB226, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1CF4, symSize: 0x74 }
  - { offsetInCU: 0xB2B6, offset: 0xB2B6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1D68, symSize: 0xB0 }
  - { offsetInCU: 0xB395, offset: 0xB395, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1E18, symSize: 0x3C }
  - { offsetInCU: 0xB48B, offset: 0xB48B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1E54, symSize: 0x29C }
  - { offsetInCU: 0xB7CE, offset: 0xB7CE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x20F0, symSize: 0xD0 }
  - { offsetInCU: 0xB8FC, offset: 0xB8FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x21C0, symSize: 0xC }
  - { offsetInCU: 0xB9BE, offset: 0xB9BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x21CC, symSize: 0x22C }
  - { offsetInCU: 0xBCB2, offset: 0xBCB2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x23F8, symSize: 0x90 }
  - { offsetInCU: 0xBD77, offset: 0xBD77, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DE8, symBinAddr: 0x2488, symSize: 0x90 }
  - { offsetInCU: 0xBE3C, offset: 0xBE3C, size: 0x8, addend: 0x0, symName: _printModifiers, symObjAddr: 0x8E78, symBinAddr: 0x2518, symSize: 0x110 }
  - { offsetInCU: 0xBE99, offset: 0xBE99, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldModifiers_getfldmdf004_check, symObjAddr: 0x8F88, symBinAddr: 0x2628, symSize: 0x164 }
  - { offsetInCU: 0xBFB6, offset: 0xBFB6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldModifiers_getfldmdf004_getRes, symObjAddr: 0x90EC, symBinAddr: 0x278C, symSize: 0x18 }
  - { offsetInCU: 0xBFED, offset: 0xBFED, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9134, symBinAddr: 0x27D4, symSize: 0x358 }
...
